%define svn_rev 6061 
# git is now used updated the source to revision 31c1e02830882a8f24cbda8224462c3f4b2ae76e on 2015.03.07

Name:           xfvnc
Version:        0.1.0.%{svn_rev}
Release:        %mkrel 5
Url:            http://svn.xfce.org/svn/goodies/xfvnc/trunk/
License:        GPL v2 or later
Group:          Graphical desktop/Xfce
Summary:        VNC client for Xfce
Summary(de):	Ein VNC Klient für Xfce
Source:         %{name}-r%{svn_rev}.tar.xz
Patch0:         %{name}-desktop.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gtk2-devel 
BuildRequires:	%{_lib}glade2.0_0-devel 
BuildRequires:	%{_lib}gtk-vnc1.0-devel
BuildRequires:  xfce4-dev-tools 
BuildRequires:	exo-devel
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
BuildRequires:	libxfcegui4-devel
BuildRequires:	libxfce4util-devel

%description
VNC client for Xfce.

%description -l de
Ein VNC Klient für Xfce.

%prep
%setup -q -n %{name}
%patch0

%build

./autogen.sh --prefix=/usr

%configure2_5x --enable-maintainer-mode
make

%install
%makeinstall_std


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-RemoteAccess" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/xfvnc
%{_datadir}/applications/%{name}.desktop
%{_datadir}/locale/*/LC_MESSAGES/xfvnc.mo


%changelog
* Sat Mar 07 2015 ghostbunny <ghostbunny at gmx dot de> 0.1.0.6061-5pclos2015
- rebuild against new libxfce4util
- update source to current git snapshot
- add missing BR desktop-file-utils, libxfcegui4-devel, libxfce4util-devel

* Thu Sep 20 2012 Neal <nealbrks0 at gmail dot com> 0.1.0.6061-4pclos2012
- 64bit

* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com> 0.1.0.6061-4pclos2012
- process

* Thu Aug 30 2012 ghostbunny <ghostbunny at gmx dot de> 0.1.0.6061-4pclos2012
- rebuild against new xfce4 panel and libxfce4util
- added german summary and description
- added %{_lib} macros
- added correct release via %mkrel

* Wed Jan 26 2011 Sproggy <desproggster@gmail.com> 0.1.0.6061-3pclos2011
- updated for xfce4.8

* Sun Oct 24 2010 Sproggy <desproggster@gmail.com> 0.1.0.6061-1pclos2010
- initial build for pclos
